# H245_ConferenceCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_ConferenceCapability:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_videoIndicateMixingCapability, e_multipointVisualizationCapability }

## Public Member Functions

| H245_ConferenceCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_NonStandardParameter | m_nonStandardData
PASN_Boolean | m_chairControlCapability
PASN_Boolean | m_videoIndicateMixingCapability
PASN_Boolean | m_multipointVisualizationCapability

## Member Enumeration Documentation

enum H245_ConferenceCapability::OptionalFields

Enumerator:

  e_nonStandardData |
  e_videoIndicateMixingCapability |
  e_multipointVisualizationCapability |

## Constructor & Destructor Documentation

H245_ConferenceCapability::H245_ConferenceCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_ConferenceCapability::GetDataLength | ( |  | ) | const

PBoolean H245_ConferenceCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_ConferenceCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_ConferenceCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_ConferenceCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_ConferenceCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_NonStandardParameter H245_ConferenceCapability::m_nonStandardData

PASN_Boolean H245_ConferenceCapability::m_chairControlCapability

PASN_Boolean H245_ConferenceCapability::m_videoIndicateMixingCapability

PASN_Boolean H245_ConferenceCapability::m_multipointVisualizationCapability

The documentation for this class was generated from the following file:

- h245.h